Subject: RE: bug#11138: 23.3; on Windows, message-box does not display line breaks in the message

From: "Drew Adams" <[email-masked]>
Date: Sat, 31 Mar 2012 14:29:31 -0700

> What I mean is that message-box on Windows eventually calls
> x-popup-menu.  So whatever you do for multi-line messages inside
> x-popup-menu will also affect x-popup-menu calls that want to display
> menus as well.

I would not suggest changing `x-popup-menu'.  My suggestion was to have
`message-box' call `x-popup-menu' (or other code to create the menu) passing
multiple menu lines, all of which, except the last one ("OK"), are
non-selectable.

The multiple lines come from splitting, at each \n, the result of applying
FORMAT-STRING to ARGS.

(BTW, I do not have the Emacs 24 C code, but in Emacs 23.3 it looks like
`message-box' calls `x-popup-dialog', not `x-popup-menu'.  Same idea, anyway.)